---
updatedAt: 2026-06-04T09:29:21.000Z
agentTools:
  projectIndex: https://apidocs.mybanx.io/llms.txt
---

# Getting started.

# Transactions unicity.

The key to identify uniquely a transaction (bank statement) is the **SEQUENCE** property. That value is stable, never changes.

The ID property is a GUID which **might change** over time.

To identify uniquely a transaction, we do recommend using IBAN+CURRENCY+SEQUENCE.

# Transactions updates.

Mybanx does synchronise automatically all bank accounts at the following interval: 4:00, 6:00, 13:00 and 19:00 GTM.

We do also sync the bank accounts when you connect on the web interface.

# Logic of calls.

## Direct Mode

POST /auth to get authenticated and receive your bearer.

GET /auth to check your license validity.

GET /companies/bankaccounts to retrieve the list of bank accounts you can access.

GET /bankaccounts/\{ID}/transactions to get the list of transactions for the given bank account. ID being the ID of the bank account, value received in the previous call.\
Same for /balances and /export API endpoints.

<br />

## Indirect Mode

POST /auth to get authenticated and receive your bearer.

GET /auth to check your license validity.

GET /indirect/companies to get list of companies for which you have an access.

For each company in the list, call GET /indirect/companies/\{COMPANY-ID}/bankaccounts when COMPANY-ID is the ID of the company received in the previous call.

GET /indirect/bankaccounts/\{ID}/transactions to get the list of transactions for the given bank account. ID being the ID of the bank account, value received in the previous call.